Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.annotation.compiler
Class MemberValuePopulate

    java.lang.Object
      org.jboss.aop.annotation.compiler.MemberValuePopulate

All Implemented Interfaces:
  javassist.bytecode.annotation.MemberValueVisitor

public class MemberValuePopulate
extends Object
implements javassist.bytecode.annotation.MemberValueVisitor

Comment

Version:
  $Revision: 1.5 $
Author:
  Bill Burke

Constructor Summary
`MemberValuePopulate(String value)`

Method Summary
`void` | `visitAnnotationMemberValue(javassist.bytecode.annotation.AnnotationMemberValue annotationMemberValue)`
`void` | `visitArrayMemberValue(javassist.bytecode.annotation.ArrayMemberValue arrayMemberValue)`
`void` | `visitBooleanMemberValue(javassist.bytecode.annotation.BooleanMemberValue booleanMemberValue)`
`void` | `visitByteMemberValue(javassist.bytecode.annotation.ByteMemberValue byteMemberValue)`
`void` | `visitCharMemberValue(javassist.bytecode.annotation.CharMemberValue charMemberValue)`
`void` | `visitClassMemberValue(javassist.bytecode.annotation.ClassMemberValue classMemberValue)`
`void` | `visitDoubleMemberValue(javassist.bytecode.annotation.DoubleMemberValue doubleMemberValue)`
`void` | `visitEnumMemberValue(javassist.bytecode.annotation.EnumMemberValue enumMemberValue)`
`void` | `visitFloatMemberValue(javassist.bytecode.annotation.FloatMemberValue floatMemberValue)`
`void` | `visitIntegerMemberValue(javassist.bytecode.annotation.IntegerMemberValue integerMemberValue)`
`void` | `visitLongMemberValue(javassist.bytecode.annotation.LongMemberValue longMemberValue)`
`void` | `visitShortMemberValue(javassist.bytecode.annotation.ShortMemberValue shortMemberValue)`
`void` | `visitStringMemberValue(javassist.bytecode.annotation.StringMemberValue stringMemberValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemberValuePopulate

    public MemberValuePopulate(String value)

Method Detail

### visitAnnotationMemberValue

    public void visitAnnotationMemberValue(javassist.bytecode.annotation.AnnotationMemberValue annotationMemberValue)

  Specified by:
    `visitAnnotationMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitArrayMemberValue

    public void visitArrayMemberValue(javassist.bytecode.annotation.ArrayMemberValue arrayMemberValue)

  Specified by:
    `visitArrayMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitBooleanMemberValue

    public void visitBooleanMemberValue(javassist.bytecode.annotation.BooleanMemberValue booleanMemberValue)

  Specified by:
    `visitBooleanMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitByteMemberValue

    public void visitByteMemberValue(javassist.bytecode.annotation.ByteMemberValue byteMemberValue)

  Specified by:
    `visitByteMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitCharMemberValue

    public void visitCharMemberValue(javassist.bytecode.annotation.CharMemberValue charMemberValue)

  Specified by:
    `visitCharMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitDoubleMemberValue

    public void visitDoubleMemberValue(javassist.bytecode.annotation.DoubleMemberValue doubleMemberValue)

  Specified by:
    `visitDoubleMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitEnumMemberValue

    public void visitEnumMemberValue(javassist.bytecode.annotation.EnumMemberValue enumMemberValue)

  Specified by:
    `visitEnumMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitFloatMemberValue

    public void visitFloatMemberValue(javassist.bytecode.annotation.FloatMemberValue floatMemberValue)

  Specified by:
    `visitFloatMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitIntegerMemberValue

    public void visitIntegerMemberValue(javassist.bytecode.annotation.IntegerMemberValue integerMemberValue)

  Specified by:
    `visitIntegerMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitLongMemberValue

    public void visitLongMemberValue(javassist.bytecode.annotation.LongMemberValue longMemberValue)

  Specified by:
    `visitLongMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitShortMemberValue

    public void visitShortMemberValue(javassist.bytecode.annotation.ShortMemberValue shortMemberValue)

  Specified by:
    `visitShortMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitStringMemberValue

    public void visitStringMemberValue(javassist.bytecode.annotation.StringMemberValue stringMemberValue)

  Specified by:
    `visitStringMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitClassMemberValue

    public void visitClassMemberValue(javassist.bytecode.annotation.ClassMemberValue classMemberValue)

  Specified by:
    `visitClassMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.